 /*
  * Khoros: $Id: SunRPC.h,v 1.3 1992/03/20 23:38:51 dkhoros Exp $
  */

 /*
  * $Log: SunRPC.h,v $
 * Revision 1.3  1992/03/20  23:38:51  dkhoros
 * VirtualPatch5
 *
  */ 


/*
 *----------------------------------------------------------------------
 *
 * Copyright 1990, University of New Mexico.  All rights reserved.

 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"	 /* Copyright 1990 by UNM */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>								<<<<
   >>>>	    file name: SunRPC.h					<<<<
   >>>>								<<<<
   >>>>   description:						<<<<
   >>>>								<<<<
   >>>> modifications:						<<<<
   >>>>								<<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _SunRPC_h_
#define _SunRPC_h_

/* Sun's remote procedure transport */


/*
 *  Internal structures for the following transport
 *
 *		sunrpc	   -  Sun's remote procedure transport
 */

/* sunrpc structure */
typedef struct
{
	int dummy; /* make compilier happy */
} SunrpcStruct;

#undef  ResourceStruct
#define ResourceStruct SunrpcStruct


int	sunrpc_tempnam(),
	sunrpc_open(),
	sunrpc_close(),
	sunrpc_read(),
	sunrpc_write(),
	sunrpc_lseek(),
	sunrpc_tell(),
	sunrpc_unlink(),
	sunrpc_exec(),
	sunrpc_machtype(),
	sunrpc_exec(),
	sunrpc_machtype(),
	sunrpc_gethostname;

static RemoteInformation remote_sunrpc_routines[] =
{
    {
	sunrpc_exec,
	sunrpc_machtype,
	sunrpc_gethostname,
    }
};

static TransportInformation sunrpc_routines[] =
{
    {
	"Sun's Remote Procedure Call",
	"sunrpc",
	FALSE,
	sunrpc_tempnam,
	sunrpc_open,
	sunrpc_close,
	sunrpc_read,
	sunrpc_write,
	sunrpc_lseek,
	sunrpc_tell,
	NULL,
	sunrpc_unlink,
	NULL,
	NULL,

	NULL
    }
};

#endif /* _SunRPC_h_ */
/* don`t add after the endif */
