

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1990, University of New Mexico.  All rights reserved.

 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                       <<<<
   >>>>	    file name: site_comp.h                                 <<<<
   >>>>                                                       <<<<
   >>>>   description: defines machine dep. compile flags     <<<<
   >>>>                                                       <<<<
   >>>> modifications:					      <<<<
   >>>>                                                       <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _SITE_COMP_H_
#define _SITE_COMP_H_

/* these are the defaults in the case the machine type is not defined.
 * These defaults may be incorrect. It is best if the machine type
 * is defined with the correct flags
 */

#undef SUBFILE_COMPAT
#define SUBFILE_COMPAT

#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT

#ifdef apollo
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif 

#ifdef hpux
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif

#if defined (mips) || defined (MIPSEL) || defined (MIPSEB)
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif

#ifdef NeXT
#undef NEXT_SUPPORT
#define NEXT_SUPPORT
#endif

#ifdef sgi
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif

#ifdef sun 
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif

#ifdef sony_news
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif

#if defined (tahoe) || defined (bsd)
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif

#ifdef vax
#undef  THUNDER_SUPPORT
#define THUNDER_SUPPORT 
#undef NEXT_SUPPORT
#define NEXT_SUPPORT 
#undef PICIO_SUPPORT
#define PICIO_SUPPORT
#endif

#endif /* do not add after the line */
